#!/bin/sh

export PATH=$PATH:.:/var/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.:/var/lib

cd /tmp/

start_emu() {
	newcs-1.67 &
	sleep 15
	/var/bin/incubusCamd-0.92 &
	echo incubusCamd-0.92-newcs-1.67 > /var/etc/SifTeam/tmp/cam_active.sif
	echo incubusCamd-0.92-newcs-1.67 > /var/tmp/cam_active.sif
}

stop_emu() {
	kill -9 `pidof incubusCamd-0.92`
	sleep 1
	kill -9 `pidof newcs-1.67`
	sleep 2
	killall -9 incubusCamd-0.92
	killall -9 newcs-1.67
	rm -rf /tmp/*.info
	rm -f /var/tmp/cam_active.sif
}

case "$1" in
	start)
		start_emu
		;;
	stop)
		stop_emu
		;;
	restart)
		$0 stop
		sleep 5
		$0 start
		;;
	*)
		echo "usage: {start|stop|restart}"
		;;
esac

exit 0
